---
title: "Migrate Entitlement host cloud resources in deprecated format to current format."
slug: "migrate-entitlement-host-cloud-resources-in-deprecated-format-to-current-format"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/migrate-entitlement-host-cloud-resources-in-deprecated-format-to-current-format"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Migrate Entitlement host cloud resources in deprecated format to current format.
Post/entitlements/cloud-migrations
Migrates Entitlement Action's hosts referencing cloud resources in deprecated format to current format.
SecurityHTTPType bearer
Query parametersdry-runboolean
When true, migration items are detected, but not migrated. Defaults to true.
Examplefalse
Responses200
List of hosts containing formats that have been changed.
Expand Allobject rangestring
The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.
Example0-30/54
orderBystring
The field name used to sort the list.
Examplename
descendingboolean
Whether the sorting is applied descending or ascending.
queries Array of string
The queries applied to the list.
string
totalCountinteger
The total readable count of entities. Not influenced by the query.
Example328
filterBy Array of object (FilterBy)
The filters applied to the list.
object namestring
The field name the filter is applied to.
Examplename
valuestring
The value used for comparison.
ExampleAWS
data Array of object (EntitlementMigrationInfo) object
Migration details of a specific Action of a specific Entitlement.
entitlementIdstring (uuid)
ID of the Entitlement.
Examplef691e13f-06b4-4340-853c-fec61f2d9f9f
entitlementNamestring
The name of the Entitlement.
ExampleEntitlement A
actionIndexnumber
The index of the Action containing the changed host.
Example0.0
hostIndexnumber
The index of the changed Action.
Example2.0
originalHoststring
The value before being migrated.
Examplegcp://natIP:true
updatedHoststring
The value after being migrated. This can be the same as originalHost if problems were encountered while migrating the value.
Examplegcp://{"public-ips":true}
migrationErrors Array of string
A list of any error messages encountered while migrating this value.
string ExampleWARNING [translate] resolver type of illumio is not configured: tag:gateway
204
No hosts requiring migrations were found.
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.